DZN(SIMULATE)

NAME
dzn simulate - manual page for dzn simulate 2.20.0

SYNOPSIS
dzn simulate [OPTION]... [FILE]...

DESCRIPTION
Simulate a Dezyne model

-C, --no-compliance
    skip the compliance check

-D, --no-deadlock
    skip the deadlock check

-Q, --no-queue-full
    skip the external queue-full check

-R, --no-refusals
    skip the refusals check

-f, --format=FORMAT
    display trace in format FORMAT [event] {diagram,event,trace}

-h, --help
    display this help and exit

-I, --import=DIR+
    add DIR to import path

-i, --internal
    display system-internal events

-l, --locations
    prepend locations to output trail, implies --format=trace

-m, --model=MODEL
    generate main for MODEL

--no-interface-determinism
    skip interface RTC determinism check

--no-interface-livelock
    skip interface livelock check at EOT

-q, --queue-size=SIZE
    use queue size=SIZE for simulation [3]

--queue-size-defer=SIZE
    use queue size=SIZE for simulation [2]

--queue-size-external=SIZE
    use queue size=SIZE for simulation [1]

--state
    show state after every action, trigger

-s, --strict
    use strict matching of trail

-t, --trail=TRAIL
    use trail=TRAIL [read from stdin]

-v, --verbose
    show non-communication steps in trace, implies --format=trace --locations

SEE ALSO
The full documentation for dzn simulate is maintained as a Texinfo manual. If the info and dzn simulate programs are properly installed at your site, the command

    info dzn simulate

should give you access to the complete manual.